<?php
	session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
		$opendb=new mydb();
	require_once('inc/char_set.php');
	

	$selectfunctionName=$_GET['selectfunctionName'];
	$selectcate=$_GET['selectcate'];
		
	if ($_GET['ls_msg']=="")
	{
		$ls_msg="文章管理操作";
	}	
	else
	{
		$ls_msg=$_GET['ls_msg'];	
	}
		$ls=$_GET['ls'];
		$id=$_GET['id'];
	switch ($ls)
	{
		
	 	case "unenable":
			$unenable_sql="update ls_article set enable=0 where id=".$id." ";
			//echo $unenable_sql;
			$unenable_query=$opendb->query($unenable_sql);
			$ls_msg="不显示操作成功！";
			break;
		case "enable":
			$enable_sql="update ls_article set enable=1 where id=".$id." ";
			//echo $enable_sql;
			$enable_query=$opendb->query($enable_sql);
			$ls_msg="显示操作成功！";
			break;
		case "del":
			$del_sql="delete from ls_article where ID=".$id."";
	   		//echo $del_sql;
	   		$del_query=$opendb->query($del_sql);
			writelog($_SERVER['PHP_SELF'],"delete article: ".$articleTitle,"ID: ".$id);

	   	$ls_msg="删除操作成功！";
			break;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<script language="JavaScript" src="js/ls.js"></script>
		<title>无标题文档</title>
	</head>

 <body>
	<table width="96%" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#6396d6">
			<tr>
				<td height="18" background="images/admin_bg.gif"><div align="center"><font color="#ffffff"><strong>栏目管理</strong></font></div>
				</td>
			</tr>
			<tr>
				<td height="213" valign="top" bgcolor="#dee7ff"><br>
					<form name="del" method="Post" action="delall.php" onSubmit="return ConfirmDel();">
					<table border="0" width="96%" align="center">
						<tr>
							<td width="63%" >提示：<font color="#FF0000"><?php echo $ls_msg; ?></font></td>
							<td width="9%" align="right" ><div align="left"><span style="padding-left:20px;">

								<?
			$article_sql="SELECT distinct(functionName) FROM ls_functioncates   where functionName!='新闻分类' and functionName!='singlePages' order by Num";//count the error by searchtype
			$article_query=$opendb->query($article_sql);

			?>

						  </span></div></td>
							<td width="28%" align="right" ><img src="images/shao.gif">&nbsp;<a href="addarticle.php?selectcate=<?=$selectcate?>&selectfunctionName=<?=$selectfunctionName?>"><u>添加文章</u></a></td>
						</tr>
						<tr>
						  <td colspan="3" >类别： 
                            <?
                          while($news_rows2=mysql_fetch_assoc($article_query))
		  					{
								if($selectfunctionName==$news_rows2['functionName'])
								{echo "<a href='?selectcate=".$news_rows2['cateName']."&selectfunctionName=".$news_rows2['functionName']."'><span style=\"color:#930\" >".$news_rows2['functionName']."</span></a> | ";}
								else
								{echo "<a href='?selectcate=".$news_rows2['cateName']."&selectfunctionName=".$news_rows2['functionName']."'>".$news_rows2['functionName']."</a> | ";}
								
							}
						  ?>
<a href='?selectcate='> 全部 </a></td>
					  </tr>
						<tr>
						  <td colspan="3" >
                          <? if($selectfunctionName!="") {?>
                          
                          子类别： 
                          <?
						  $article_sql="SELECT distinct(cateName) FROM ls_functioncates   where functionName='".$selectfunctionName."' and functionName!='singlePages' order by Num";//count the error by searchtype
			$article_query=$opendb->query($article_sql);
                          while($news_rows2=mysql_fetch_assoc($article_query))
		  					{
								if($selectcate==$news_rows2['cateName'])
								{echo "<a href='?selectcate=".$news_rows2['cateName']."&selectfunctionName=".$selectfunctionName."'><span style=\"color:#F90\" >".$news_rows2['cateName']."</span></a> | ";}
								else
								{echo "<a href='?selectcate=".$news_rows2['cateName']."&selectfunctionName=".$selectfunctionName."'><span style=\"color:#930\" >".$news_rows2['cateName']."</span></a> | ";}
								
							}
						  ?>
                          <a href='?selectfunctionName=<?=$selectfunctionName?>'> 全部 </a>
                          
                          <? }?>
                          </td>
					  </tr>
					</table>
					<br>
					
					<?php
					// 获取当前页数
													if( isset($_GET['page']) ){
													   $page = intval( $_GET['page'] );
													}
													else{
													   $page = 1;
													}
													// 每页数量
													$PageSize = $PageNum;
													
													// 获取总数据量
													/********************************************************************************/
													if($selectcate<>''&&$selectfunctionName<>''&&$selectfunctionName<>'全部'){	$sql="select * from ls_article where cate='".$selectcate."' and functionName='".$selectfunctionName."' and functionName!='新闻分类' and functionName!='singlePages'  order by functionName,cate,Num desc,articleDate desc";}
													else
													{
														if($selectfunctionName<>''&&$selectfunctionName<>'全部'){	$sql="select * from ls_article where functionName='".$selectfunctionName."' and functionName!='新闻分类' and functionName!='singlePages'  order by functionName,Num  desc,articleDate desc";}
														else
														{	$sql="select * from ls_article where functionName!='新闻分类' and functionName!='singlePages'  order by functionName,cate,Num desc,articleDate desc";	}
													}

														$result=$opendb->query($sql);
													
													/********************************************************************************/
													// 获取总数据量
													
													$row = mysql_num_rows($result);
													$amount = $row;
													
													// 记算总共有多少页
													if( $amount ){
													   if( $amount < $PageSize ){ $page_count = 1; }			   //如果总数据量小于$PageSize，那么只有一页
													   if( $amount % $PageSize ){								  //取总数据量除以每页数的余数
														   $page_count = (int)($amount / $PageSize) + 1;		   //如果有余数，则页数等于总数据量除以每页数的结果取整再加一
													   }else{
														   $page_count = $amount / $PageSize;					  //如果没有余数，则页数等于总数据量除以每页数的结果
													   }
													}
													else{
													   $page_count = 0;
													}
													
													// 翻页链接
													$page_string = '';
														
													if( $page == 1 ){
													   $page_string .= '首页 | 上一页 |';
													}
													else{
													   $page_string .= '<a href=?selectfunctionName='.$selectfunctionName.'&page=1><u><font color=\"#0000FF\">首页</font></u></a> | <a href=?selectfunctionName='.$selectfunctionName.'&page='.($page-1).'><u><font color=\"#0000FF\">上一页</font></u></a> | ';
													}
													if( ($page == $page_count) || ($page_count == 0) ){
													   $page_string .= ' 下一页 | 尾页';
													}
													else{
													   $page_string .= ' <a href=?selectfunctionName='.$selectfunctionName.'&page='.($page+1).'><u><font color=\"#0000FF\">下一页</font></u></a> | <a href=?selectfunctionName='.$selectfunctionName.'&page='.$page_count.'><u><font color=\"#0000FF\">尾页</font></u></a>';
													}
														 $page_string .= " &nbsp;&nbsp;页次：<font color='#FF0000'><b>".$page."</b></font>/<b>".$page_count."</b>页";
														 $page_string .= " &nbsp;&nbsp;<b>".$PageSize."</b>个每页";
														 
													$ls_msg2="文章管理 >> ".($selectfunctionName==''?'全部':$selectfunctionName." >> ")." ".$selectcate." 文章";
					
					?>
					
				
				<table border="0" width="96%" align="center">
						<tr>
							<td><?php echo $ls_msg2; ?></td>
							<td align="right">共 <b><?php echo $row; ?></b>条</td>
				  </tr>
					 </table>
					 <table width="96%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#FFFFFF">
						<tr bgcolor="#B9DAFF">
							<td align="center" height="25" width="34">选中</td>
						  <td align="center" width="139">栏目类别</td>
						  <td align="center" width="127">栏目子类</td>
						  <td align="center" width="229">文章标题</td>
						  <td align="center" width="76">日期</td>
						  <td align="center" width="50">排序</td>
						  <td align="center" colspan="2">操作</td>
							<td align="center" width="36">有效</td>
					   </tr>
						<?php
													$article_sql=$sql." limit ". ($page-1)*$PageSize .",".$PageSize." ";	
													$article_query=$opendb->query($article_sql);
						
													$i=1;
													while($article_rows=mysql_fetch_assoc($article_query))
										 			 {
													echo "<tr bgcolor='#f4f4f4'";
												echo "onMouseOver=";
													echo " 	this.style.backgroundColor='#CCFFCC' ";
													echo "onMouseOut=";
													echo " 	this.style.backgroundColor='#f4f4f4' ";
													echo ">";
													echo "	<td align='center'>";
													echo "		<input name='select_id".$i."' type='checkbox' onclick=\"unselectall()\" id=\"select_id\" value='".$article_rows['ID']."'>";
													echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$article_rows['functionName'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$article_rows['cate'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$article_rows['articleTitle'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$article_rows['articleDate'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$article_rows['Num'];
												  echo "	</td>";
												  echo "	<td  width='26' align='center'> ";
													echo "		<a href='modiarticle.php?selectfunctionName=".$selectfunctionName."&id=".$article_rows['ID']."' title='编辑'><img src='images/b_edit.png' border='0'></a>";
													echo "  </td>";
													echo "	<td width='26'  align='center'> ";
													echo "		<a href='?selectfunctionName=".$selectfunctionName."&id=".$article_rows['ID']."&ls=del' onclick='return ConfirmDelSubCate();' title='删除'><img src='images/b_drop.png' border='0'></a>";
													echo "  </td>";
													echo "	<td align='center'>";
											  
													  if($article_rows['enable']==1)
														{
															echo "<a href='?selectfunctionName=".$selectfunctionName."&id=".$article_rows['ID']."&ls=unenable' title='显示'><img src='images/enable.gif' border='0'></a>";
														}
													  if($article_rows['enable']==0)
													  	{
															echo "<a href='?selectfunctionName=".$selectfunctionName."&id=".$article_rows['ID']."&ls=enable' title='不显示'><img src='images/unenable.gif' border='0'></a>";
														}
																				
													echo "	</td>";
												  echo "</tr>";
												  
												  $i++;
												 }
												 	echo "<tr bgcolor=\"#B9DAFF\">";
												  echo "<td colspan='9' align='center' height='25'>";
												  echo $page_string;
												  echo "</td>";
												  echo "</tr>";
						
					?>
					</table>
					<br>
					<table width="96%" border="0" align="center" cellpadding="3" cellspacing="1">
					<tr >
							<td style="padding-left:6px;" colspan="8">
							<input name="chkAll" type="checkbox" id="chkAll" onclick=CheckAll(this.form) value="checkbox"> 选中本页显示的所有产品
							<input name="submit" type='submit' value='删除选定的内容'>
							<input name="Action" type="hidden" id="Action" value="articleDel">
							
							
								</td>
						</tr>
					</table>
					<br />
                  </form>
				
					
				</td>
			</tr>
	</table>
 </body>
</html>